<?php
/**
 * Drop in image slideshow gallery
 *
 * @package Drop in image slideshow gallery
 * @subpackage Drop in image slideshow gallery
 * @version   2.0 July 25, 2011
 * @author    Gopi http://www.gopiplus.com
 * @copyright Copyright (C) 2010 - 2011 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

if ( ! empty($images) ) 
{
	@$slideshow_link	= $params->get('slideshow_link');
	
	@$slideshow_width = $params->get('slideshow_width');
	@$slideshow_height = $params->get('slideshow_height');
	@$slideshow_pause = $params->get('slideshow_pause');
	
	if(!is_numeric(@$slideshow_width)) { @$slideshow_width = 200; }
	if(!is_numeric(@$slideshow_height)) { @$slideshow_height = 150; }
	if(!is_numeric(@$slideshow_pause)) { @$slideshow_pause = 1; }
	
	@$slideshow_count = 0;
	@$slideshow_path = "";
	@$slideshow_str = "";
	@$slideshow_returnstr = "";
	foreach ( $images as $images ) 
	{
		$slideshow_path = JURI::base().$folder .DS. $images->name;
		$slideshow_path = str_replace('\\', '/', $slideshow_path);
		
		if($slideshow_link == "" )
		{
			$slideshow_link =  '#';
		}
		$slideshow_str =  '["' . $slideshow_path . '", "'. $slideshow_link .'", "_self"]';
		$slideshow_returnstr = $slideshow_returnstr . "wpis_images[$slideshow_count]=$slideshow_str; ";
		$slideshow_count++;
	}
}
?>
<script type="text/javascript">
var wpis_images=new Array()
<?php echo $slideshow_returnstr; ?>
new wpis(wpis_images, <?php echo $slideshow_width; ?>, <?php echo $slideshow_height; ?>, <?php echo $slideshow_pause; ?>)
</script>